function SkeletonFunc(message)

	if message:is("Add", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("Add"))
	elseif message:is("Set", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("Set"))
	elseif message:is("Play", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("Play"))
	elseif message:is("Stop", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("Stop"))
	elseif message:is("Frames", "select") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("SetFrame"))
	elseif message:is("SaveAnim", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("SaveAnimation"))
	elseif message:is("LoadAnim", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("LoadAnimation"))
	elseif message:is("BodyRight", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("BodyRight"))
	elseif message:is("BodyCenter", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("BodyCenter"))
	elseif message:is("BodyLeft", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("BodyLeft"))
	elseif message:is("HeadRight", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("HeadRight"))
	elseif message:is("HeadCenter", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("HeadCenter"))
	elseif message:is("HeadLeft", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("HeadLeft"))
	elseif message:is("Arm1", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("Arm1"))
	elseif message:is("Arm2", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("Arm2"))
	elseif message:is("RightArm1", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("RightArm1"))
	elseif message:is("RightArm2", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("RightArm2"))
	elseif message:is("RightArm3", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("RightArm3"))
	elseif message:is("Delete", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("Delete"))
	elseif message:is("Copy", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("Copy"))
	elseif message:is("Paste", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("Paste"))
	elseif message:is("Wing", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("Wing"))
	elseif message:is("Wand", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("Wand"))
	elseif message:is("DeleteAnim", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("DeleteAnim"))
	elseif message:is("AddAnim", "press") then
		GUI:getLayer("AnimName"):getWidget("Name"):AcceptMessage(Message("Clear"))
		Screen:pushLayer( GUI:getLayer("AnimName") )
	elseif message:is("Exit", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("SaveAll"))
		CloseApplication()
	end
end

function AddAnimFunc(message)

	if message:is("Ok", "press") then
		GUI:getLayer("FaerieEditor"):getWidget("Test"):AcceptMessage(Message("AddAnimation"))
		Screen:popLayer()
	elseif message:is("Cancel", "press") then
		Screen:popLayer()
	end
end
